#ifndef ECDB_MISC_H
#define ECDB_MISC_H

Ecdb_Project 	*ecdb_project_new(void);
int 		 ecdb_project_init(Ecdb_Project *proj);
void		 ecdb_project_destroy(Ecdb_Project *proj);
void		 ecdb_project_type_set(Ecdb_Project *proj, unsigned int t);
void		 ecdb_projects_free(void *data);
int 		 ecdb_shutdown(void *data, int type, void *event);
int 		 ecdb_burn_init(void);
int 		 ecdb_image_init(void);

/* This is misc after all */
int		 ecdb_match_keyword(const char *chk, const char *key, int len);
char		*ecdb_strip_next_argument(const char *strip);
char		*ecdb_strip_string(const char *strip);
void		 ecdb_button_icon_swallow(Evas *e, Evas_Object *b,
							const char *iname);
#endif
